# $Revision: 1.4 $, $Date: 2003/04/25 12:46:09 $
Summary:	An open-source, patent-free speech codec
Summary(pl):	Otwarty kodek mowy, wolny od patentw
Name:		speex
Version:	1.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://www.speex.org/download/%{name}-%{version}.tar.gz
URL:		http://www.speex.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libogg-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	Speex

%description
Speex is a patent-free audio codec designed especially for voice
(unlike Vorbis which targets general audio) signals and providing good
narrowband and wideband quality. This project aims to be complementary
to the Vorbis codec.

%description -l pl
Speex jest wolnym od patentw kodekiem audio zaprojektowanym dla
kompresji mowy (w odrnieniu od Vorbisa, ktry jest oglnego
przeznaczenia). Zapewnia dobr jako nawet przy niskim pamie.
Projekt chciaby by dodatkiem do kodeka Vorbis.

%package devel
Summary:	Speex library - development files
Summary(pl):	Pliki dla programistw uywajcych biblioteki Speex
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	Speex-devel

%description devel
Speex library - development files.

%description devel -l pl
Pliki dla programistw uywajcych biblioteki Speex.

%package static
Summary:	Speex static library
Summary(pl):	Biblioteka statyczna Speex
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Obsoletes:	Speex-static

%description static
Speex static library.

%description static -l pl
Biblioteka statyczna Speex.

%package progs
Summary:	speexdec and speexenc utilities
Summary(pl):	Narzdzia speexdec i speexenc
Group:		Applications/Sound
Requires:	%{name} = %{version}
Obsoletes:	Speex-progs

%description progs
Utilities for the Speex codec: speexdec (decodes a Speex file and
produces a WAV or raw file) and speexenc (encodes file from WAV or
raw format using Speex).

%description progs -l pl
Narzdzia do kodeka Speex: speexdec (dekodujce plik Speex i tworzce
plik WAV lub raw) oraz speexenc (kodujcy plik z formatu WAV lub raw
przy uyciu kodeka Speex).

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libspeex.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/manual.pdf
%{_libdir}/libspeex.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: speex.spec,v $
Revision 1.4  2003/04/25 12:46:09  kloczek
- cosmetics.

Revision 1.3  2003/04/18 22:46:21  qboosh
- updated License, added COPYING (it's BSD now)
- moved programming manual to -devel

Revision 1.2  2003/03/24 11:15:04  aflinta
- more obsoletes

Revision 1.1  2003/03/24 11:10:10  aflinta
- renamed form Speex, updated to version 1.0

Revision 1.9  2003/03/06 14:05:33  aflinta
- updated to version 1.0rc3

Revision 1.8  2003/01/30 21:22:59  aflinta
- updated to version 1.0rc2

Revision 1.7  2003/01/30 17:40:51  qboosh
- updated to 1.0beta3
- separated -progs because of additional dependency

Revision 1.6  2002/12/07 15:11:40  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.5  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/10/10 11:44:41  qboosh
- fixed -devel and -static descriptions; release 2

Revision 1.3  2002/09/29 15:59:47  kloczek
- addes static subpackage and remove libtool from BuildRequires.

Revision 1.2  2002/09/26 18:29:53  wolf
- pl desc&summary

Revision 1.1  2002/09/26 12:56:14  blues
- initial release
